Subject: Re: Problem compiling Numeric-23.0 with latest python-2.2.2-6
From: Jason Tishler <[email-masked]>
To: Volker Zell <[email-masked]>
Cc: Cygwin <[email-masked]>
Date: Sun, 09 Mar 2003 08:45:15 -0500

IMO, this post is more appropriate for cygwin@ than cygwin-apps@.

On Sun, Mar 09, 2003 at 12:52:58PM +0100, Volker Zell wrote:
> I just tried compiling Numeric-23.0 with latest python-2.2.2-6 and got 
> the following error:

SF is down right now.  Is there really a Numeric-23.0?  I could only
find Numeric-22.0 on the following web page:

    http://www.pfdubois.com/numpy/

So, I tried with Numeric-22.0 that I had lying around and ...

> gcc -shared -Wl,--enable-auto-image-base 
> build/temp.cygwin-1.3.20-i686-2.2/_numpymodule.o 
> build/temp.cygwin-1.3.20-i686-2.2/arrayobject.o 
> build/temp.cygwin-1.3.20-i686-2.2/ufuncobject.o -L. -lpython2.2 -o 
> build/lib.cygwin-1.3.20-i686-2.2/_numpy.dll
>                                                 ^^^
> /usr/lib/gcc-lib/i686-pc-cygwin/3.2/../../../../i686-pc-cygwin/bin/ld: 
> cannot find -lpython2.2
> collect2: ld returned 1 exit status
> error: command 'gcc' failed with exit status 1

The above works for me with Numeric-22.0 under python-2.2.2-6:

    gcc -shared -Wl,--enable-auto-image-base build/temp.cygwin-1.3.21-i686-2.2/_numpymodule.o build/temp.cygwin-1.3.21-i686-2.2/arrayobject.o build/temp.cygwin-1.3.21-i686-2.2/ufuncobject.o -L/usr/lib/python2.2/config -lpython2.2 -o build/lib.cygwin-1.3.21-i686-2.2/_numpy.dll

Jason

-- 
PGP/GPG Key: http://www.tishler.net/jason/pubkey.asc or key servers
Fingerprint: 7A73 1405 7F2B E669 C19D  8784 1AFD E4CC ECF4 8EF6

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/